<?
	function news_sitemap($module)
	{
		$result=array();
		
		$link=getModulePath($module['module']);
		
		$result[$link]=array('changefreq'=>'hourly','lastmod'=>time());
		
		$news=Db::instance()->selectCol("SELECT news_id AS ARRAY_KEY, UNIX_TIMESTAMP(news_date) as news_date FROM ?_news WHERE news_date<=NOW()  ORDER BY news_date DESC LIMIT 10000");
		if ($news)
		foreach($news as $news_id=>$date)
		{
			$changefreq=getFreq($date);
			$lastmod=date("Y-m-d", $date);
			$loc=LabCMS::instance()->url($news_id, 'item', false, $link);
			$result[$loc]=array('changefreq'=>$changefreq,'lastmod'=>$lastmod);
		}
		return $result;
	}
